package org.ow2.weblab.portlet.bean;

import java.util.HashMap;
import java.util.Map;

import org.ow2.weblab.core.model.Query;

public class FacetBundle extends HashMap<String, FacetCategory> {

	/**
	 * serial
	 */
	private static final long serialVersionUID = 1L;

	public Map<String, Query> getFQueryByURIMap() {
		Map<String, Query> fQueryMap = new HashMap<String, Query>();
		for (FacetCategory cat : this.values()) {
			for (Facet f : cat.getFacets()) {
				fQueryMap.put(f.getQuery().getUri(), f.getQuery());
			}
		}
		return fQueryMap;
	}

}
