package org.ow2.weblab.portlet;

public final class FacetPortletConstants {
	// param keys
	public static final String NORMAL_PAGE = "facet_view_page_url";
	public static final String ERROR_PAGE = "error_page_url";
	public static final String NO_DATA_PAGE = "no_data_page_url";
	public static final String BUNDLE_NAME = "facet_portlet";
//	public static final String MAXIMIZED_PAGE = "maximized_page";
//	public static final String EDIT_PAGE = "edit_page";
	public static final String PRESENTED_FACETS = "presented_facets";
	public static final String FACET_QUERY_URI = "facet_query_uri";
	
	// session params
	public static final String FACET_CATS = "facet_cats";
	public static final String FACET_ORDER = "facet_order";
	
	//event names
	public static final String EVENT_RESET_FILTER = "resetFilter";
	public static final String EVENT_DISPLAY_RESULTS = "displayResults";
	
	//actions
	public static final String ACTION_PUBLISH_QUERY = "publish_query";
	
	// old stuff

	public static final String FACET_VALUE_LABEL = "facet_value_label";
	public static final String FACET_LABEL = "facet_label";
	
	
	/**
	 * Facet selection action
	 */
	public final static String FACET_SELECTION_ACTION = "facetSelection";

	/**
	 * Facet unselection action
	 */
	public final static String FACET_UNSELECTION_ACTION = "facetUnselection";

	/**
	 * User Facet filters list session property
	 */
	public final static String USER_FACET_FILTERS_MAP = "facetFiltersMap";

	/**
	 * User Facet selected values displayed on JSP
	 */
	public final static String USER_SELECTED_FACET_MAP = "selectedFacetMap";

	/**
	 * Facet display styles on JSP
	 */
	public final static String FACET_DISPLAY_STYLES = "facetDisplayStyles";

	/**
	 * Colors used for Pie display on JSP
	 */
	public final static String FACET_PIE_COLORS = "facetPieColors";

	/**
	 * Query URI
	 */
	public final static String LAST_QUERY_URI = "lastQueryURI";

	/**
	 * Attribute name used to send an error message to jsp
	 */
	public static final String ERROR = "message_error";

	/**
	 * Attribute name of the user's current ResultSet in session
	 */
	public static final String USER_RESULT_SET = "resultSet";
	public static final String USER_FACET_COLLECTION = "facetCollection";
	public static final String SHOW_FILTER = "showFilter";
	public static final boolean SHOW_FILTER_VALUE = false;
	
}
